Package org.eclipse.emf.cdo.common.branch

# Enum Class CDOBranchChangedEvent.ChangeKind

java.lang.Object
java.lang.Enum<CDOBranchChangedEvent.ChangeKind>
org.eclipse.emf.cdo.common.branch.CDOBranchChangedEvent.ChangeKind

All Implemented Interfaces:
  `Serializable`, `Comparable<CDOBranchChangedEvent.ChangeKind>`, `Constable`

Enclosing interface:
  CDOBranchChangedEvent

public static enum CDOBranchChangedEvent.ChangeKind extends Enum<CDOBranchChangedEvent.ChangeKind>

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CREATED`
`DELETED`
`RENAMED`

## Method Summary

Modifier and Type
Method
Description
`static CDOBranchChangedEvent.ChangeKind`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDOBranchChangedEvent.ChangeKind[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CREATED

public static final CDOBranchChangedEvent.ChangeKind CREATED

### RENAMED

public static final CDOBranchChangedEvent.ChangeKind RENAMED

### DELETED

public static final CDOBranchChangedEvent.ChangeKind DELETED

## Method Details

### values

public static CDOBranchChangedEvent.ChangeKind[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CDOBranchChangedEvent.ChangeKind valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null